Subject: GNOME: System sound silenced when I log out and then log back in
From: sirgazil <[email-masked]>
To: "bug-guix" <[email-masked]>
Date: Sun, 12 Jan 2020 13:37:48 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Everytime I log out and then log back in, the system sound is silenced. Most of the time, I can't turn it on using GNOME controls for sound, I have to reboot to get sound back.

## Steps to reproduce

1. Boot the Guix System.
2. Log in to the GNOME desktop.
3. Check that the system volume is up by moving the mouse wheel over the volume icon (top-rigth).
3. Play some audio or video to make sure sound works.
4. Log out.
5. Log back in.

## Unexpected result

* The system sound is silenced. The icon to the top-right corner of the desktop displays an x mark.
* Sometimes hovering over the sound icon and increasing the volume with the mouse wheel is enough to get sound again.
* Most of the time, doing the same as above changes the icon to a state that represents that the volume is up now, but you can't hear anything when playing audio or video.
* In the latter case, when you go to "GNOME Control Center → Sound", the system volume slider is set to silence and the rest of the sound controls appear grayed out, they are disabled (https://multimedialib.files.wordpress.com/2020/01/sound-controls-disabled-2020-01-09.png). Turning up the system volume there does not fix sound. If I reboot, sound  works again.

(Also, after step 4, when you are in the log in screen, the sound icon is in silenced state. I don't know, but if sound is silenced automatically once you enter the login screen, screen readers could be affected negatively...)

## Expected result

* The system volume is up (on the same level you left it when you logged out).
* Sound works when you play audio or video.
* When you go to "GNOME Control Center → Sound", sound controls are not disabled.

## Additional information

At least another person has experienced something similar. See:

https://lists.gnu.org/archive/html/help-guix/2020-01/msg00048.html

## System information

LANG=C guix describe
Generation 7	Jan 08 2020 13:53:10	(current)
  guix f98c050
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: f98c050c2017be06cff54abf965a8234f6998f76

---
https://sirgazil.bitbucket.io/